#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1485403337.318677
__CHEETAH_genTimestamp__ = 'Thu Jan 26 04:02:17 2017'
__CHEETAH_src__ = '/home/jenkins/dm900/build/tmp/work/dm900-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+7337187b24-r1/git/plugin/controllers/views/ajax/settings.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Jan 26 04:02:15 2017'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class settings(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(settings, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<style>
/* TODO Theme Support */

.listNav,.ln-letters {overflow:hidden;}
.listNavHide {display: none;}
.listNavShow {display: list-item;}

.ln-letters a { font-size:0.9em;display:block;float:left;padding:2px 6px;border:1px solid silver;border-right:none;text-decoration:none;}
.ln-letters .ln-last { border-right: 1px solid silver;}
.ln-letters a:hover,.ln-selected { background-color:#eaeaea;}
.ln-letters .ln-disabled {color:#ccc;}
#packagelist li.installed {font-weight:bold;}

</style>
<div id="content_main" class="ui-widget-content" style="min-height: 500px;background-image:none;">
\t<div id="info">
\t\t<div style="display:table; width: 100%; zoom: 1;">
\t\t\t<div style="display:table-cell;width:220px;">
\t\t\t\t<h3 class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 20, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 20, col 34.
        write(u'''</h3>
\t\t\t\t<ol class="sellist" id="slist">
\t\t\t\t<li id=\'themesbtn\' data-id="owsettings" class="ui-selected">''')
        _v = VFFSL(SL,"tstrings",True)['tstr_ow_settings'] # u"$tstrings['tstr_ow_settings']" on line 22, col 65
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_ow_settings']")) # from line 22, col 65.
        write(u'''</li>
\t\t\t\t<li id=\'pkgbtn\' data-id="packages" class="ui-selected">Packages</li>
''')
        for sec in VFFSL(SL,"configsections",True): # generated from line 24, col 5
            write(u"""\t\t\t\t\t<li id='""")
            _v = VFFSL(SL,"sec",True)["key"] # u'$sec["key"]' on line 25, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["key"]')) # from line 25, col 14.
            write(u"""' data-id='ajax/config?section=""")
            _v = VFFSL(SL,"sec",True)["key"] # u'$sec["key"]' on line 25, col 56
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["key"]')) # from line 25, col 56.
            write(u"""'>""")
            _v = VFFSL(SL,"sec",True)["description"] # u'$sec["description"]' on line 25, col 69
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["description"]')) # from line 25, col 69.
            write(u'''</li>
''')
        write(u'''\t\t\t\t</ol>
\t\t\t</div>
\t\t\t<div class="ui-widget-header" style="display:table-cell;background: none;border-bottom:none;border-top:none;border-left:none;width:1px;"></div>
\t\t\t<div style="display:table-cell;">
\t\t\t\t<div style="width: 100%; zoom: 1;">
\t\t\t\t\t<div id="scontent"></div>
\t\t\t\t\t</div>
\t\t<div id=\'osettings\' style="display:none;">
\t\t\t<div id="content_main2">
\t\t\t\t<h3 class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['tstr_ow_browser_settings'] # u"$tstrings['tstr_ow_browser_settings']" on line 36, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_ow_browser_settings']")) # from line 36, col 34.
        write(u'''</h3>
\t\t\t\t<table id="configuration">
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['tstr_theme'] # u"$tstrings['tstr_theme']" on line 38, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_theme']")) # from line 38, col 13.
        write(u'''</td><td>
\t\t\t\t<select name="selectheme" id="selectheme" style="min-width: 150px;margin: 5px;border:none;font-size: 1em;">
''')
        for stheme in VFFSL(SL,"themes",True): # generated from line 40, col 5
            if VFFSL(SL,"stheme",True) == VFFSL(SL,"theme",True): # generated from line 41, col 6
                write(u'''\t\t\t\t\t\t<option selected="selected">''')
                _v = VFFSL(SL,"stheme",True) # u'$stheme' on line 42, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$stheme')) # from line 42, col 35.
                write(u'''</option>
''')
            else: # generated from line 43, col 6
                write(u'''\t\t\t\t\t\t<option>''')
                _v = VFFSL(SL,"stheme",True) # u'$stheme' on line 44, col 15
                if _v is not None: write(_filter(_v, rawExpr=u'$stheme')) # from line 44, col 15.
                write(u'''</option>
''')
        write(u'''\t\t\t\t</select>
\t\t\t\t</td></tr>
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['zapbeforestream'] # u"$tstrings['zapbeforestream']" on line 49, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['zapbeforestream']")) # from line 49, col 13.
        write(u'''</td><td>
''')
        if VFFSL(SL,"zapstream",True): # generated from line 50, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="zapstream" checked="checked"/>
''')
        else: # generated from line 52, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="zapstream"/>
''')
        write(u'''\t\t\t\t</td></tr>
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['tstr_show_picon_in_channel_list'] # u"$tstrings['tstr_show_picon_in_channel_list']" on line 56, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_show_picon_in_channel_list']")) # from line 56, col 13.
        write(u'''</td><td>
''')
        if VFFSL(SL,"showchannelpicon",True): # generated from line 57, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="showchannelpicon" checked="checked"/>
''')
        else: # generated from line 59, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="showchannelpicon"/>
''')
        write(u'''\t\t\t\t</td></tr>
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['tstr_spinner'] # u"$tstrings['tstr_spinner']" on line 63, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_spinner']")) # from line 63, col 13.
        write(u'''</td><td>
\t\t\t\t<span class="spinner">
\t\t\t\t<fieldset style="border:none;" id="fsspinner">
\t\t\t\t<label for="fa-spinner"><i class="fa fa-spinner"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spinner">
\t\t\t\t<label for="fa-spin1"><i class="fa fa-spin1"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin1">
\t\t\t\t<label for="fa-spin2"><i class="fa fa-spin2"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin2">
\t\t\t\t<label for="fa-spin3"><i class="fa fa-spin3"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin3">
\t\t\t\t<label for="fa-spin4"><i class="fa fa-spin4"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin4">
\t\t\t\t<label for="fa-spin5"><i class="fa fa-spin5"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin5">
\t\t\t\t<label for="fa-spin6"><i class="fa fa-spin6"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin6">
\t\t\t\t</fieldset>
\t\t\t\t</span>
\t\t\t\t</td></tr>
\t\t\t\t</table>
\t\t\t</div>
\t\t</div>
\t\t
\t\t<div id=\'packages\' style="display:none;">
\t\t\t<div id="content_main2">
\t\t\t\t<h3 class="ui-widget-header">Packages</h3>
\t\t\t\t<span id="tb2">
\t\t\t\t<input class="pkgbtn" type="radio" id="pkgbtn1" name="tb2" checked="checked" /><label for="pkgbtn1">Update</label>
\t\t\t\t<input class="pkgbtn" type="radio" id="pkgbtn2" name="tb2" /><label for="pkgbtn2">Installed</label>
\t\t\t\t<input class="pkgbtn" type="radio" id="pkgbtn3" name="tb2" /><label for="pkgbtn3">All</label>
\t\t\t\t<input class="pkgbtn" type="radio" id="pkgbtn4" name="tb2" /><label for="pkgbtn4">More..</label>
\t\t\t\t</span>
\t\t\t\t<div id="pkgmore">
\t\t\t\t<br><br>
\t\t\t\t<button id="updatefeed">Update from Feed</button>
\t\t\t\t<br><br>
\t\t\t\t<button id="upgrade">Upgrade all Packages</button>
\t\t\t\t<br><br>
\t\t\t\t<button id="selectfile">Select IPK File for Upload</button>
\t\t\t\t<br><br>
\t\t\t\tUploaded Files:<br>
\t\t\t\t<ul id=\'tmpfiles\'></ul>
\t\t\t\t<br><br>
\t\t\t\t<form id="uploadpkg" style="display:none" action"uploadpkg"="" method="post" enctype="multipart/form-data" encoding="multipart/form-data">
\t\t\t\t<input type="file" name="rfile" id="rfile" maxlength="100000">
\t\t\t\t<input type="hidden" name="filename" id="filename">
\t\t\t\t</form>
\t\t\t\t<textarea id="resulttext" style=\'height:300px;width:100%\'>
\t\t\t\t</textarea>
\t\t\t\t</div>
\t\t\t\t<div id="tblpackages">
\t\t\t\t<ul id="packagelist"></ul>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t
\t\t</div>
\t\t</div>
\t</div>
</div>
<script type="text/javascript">

/*! jQuery ListNav - v2.4.10 - 2015-09 Copyright Eric Steinborn - https://github.com/esteinborn/jquery-listnav */
!function(a){a.fn.listnav=function(b){var c=a.extend({},a.fn.listnav.defaults,b),d=["_","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","-"],e=!1,f="";return f=null!==document.ontouchstart?"click":"touchend click",c.prefixes=a.map(c.prefixes,function(a){return a.toLowerCase()}),this.each(function(){function b(){if(o.append(n()),p=a(".ln-letters",o).slice(0,1),c.showCounts&&(q=a(".ln-letter-count",o).slice(0,1)),h(),k(),m(),c.flagDisabled&&j(),c.includeAll||a(".all",p).remove(),c.includeNums||a("._",p).remove(),c.includeOther||a(".-",p).remove(),c.removeDisabled&&a(".ln-disabled",p).remove(),a(":last",p).addClass("ln-last"),a.cookie&&null!==c.cookieName){var b=a.cookie(c.cookieName);null!==b&&"undefined"!=typeof b&&(c.initLetter=b)}if(""!==c.initLetter)e=!0,a("."+c.initLetter.toLowerCase(),p).slice(0,1).trigger(f);else if(c.includeAll)a(".all",p).addClass("ln-selected");else for(var g=c.includeNums?0:1;g<d.length;g++)if(w[d[g]]>0){e=!0,a("."+d[g],p).slice(0,1).trigger(f);break}}function g(){var b=q.outerHeight();q.css({top:a("a:first",o).slice(0,1).position().top-b})}function h(){var b,d,e="",f=c.prefixes.length>0,g=c.filterSelector.length>0;a(v).children().each(function(){if(d=a(this),b=g?a.trim(d.find(c.filterSelector).text()).toLowerCase():a.trim(d.text()).toLowerCase(),""!==b){if(f){var h=a.map(c.prefixes,function(a){return a.indexOf(" ")<=0?a+" ":a}),j=a.grep(h,function(a){return 0===b.indexOf(a)});if(j.length>0){var k=b.toLowerCase().split(j[0])[1];return e=null!==k?a.trim(k).charAt(0):b.charAt(0),void i(e,d,!0)}}e=b.charAt(0),i(e,d)}})}function i(a,b,c){/\\W/.test(a)&&(a="-"),isNaN(a)||(a="_"),b.addClass("ln-"+a),void 0===w[a]&&(w[a]=0),w[a]++,c||x++}function j(){for(var b=0;b<d.length;b++)void 0===w[d[b]]&&a("."+d[b],p).addClass("ln-disabled")}function k(){v.append(\'<li class="ln-no-match listNavHide">\'+c.noMatchText+"</li>")}function l(b){return a(b).hasClass("all")?y=c.dontCount?x-v.find(c.dontCount).length:x:(b=".ln-"+a(b).attr("class").split(" ")[0],t=c.dontCount?v.find(b).not(c.dontCount).length:v.find(b).length,void 0!==t?t:0)}function m(){c.showCounts&&(o.mouseover(function(){g()}),a(".ln-letters a",o).mouseover(function(){r=a(this).position().left,s=a(this).outerWidth()+"px",t=l(this),q.css({left:r,width:s}).text(t).addClass("letterCountShow").removeClass("listNavHide")}).mouseout(function(){q.addClass("listNavHide").removeClass("letterCountShow")})),a("a",p).bind(f,function(b){b.preventDefault();var d=a(this),f=d.attr("class").split(" ")[0],g=v.children(".ln-no-match");if(A!==f){if(a("a.ln-selected",p).removeClass("ln-selected"),"all"===f)v.children().addClass("listNavShow").removeClass("listNavHide"),g.addClass("listNavHide").removeClass("listNavShow"),z=!0;else{z?(v.children().addClass("listNavHide").removeClass("listNavShow"),z=!1):""!==A&&v.children(".ln-"+A).addClass("listNavHide").removeClass("listNavShow");var h=l(this);h>0?(v.children(".ln-"+f).addClass("listNavShow").removeClass("listNavHide"),g.addClass("listNavHide").removeClass("listNavShow")):g.addClass("listNavShow").removeClass("listNavHide")}A=f,a.cookie&&null!==c.cookieName&&a.cookie(c.cookieName,f,{expires:999}),d.addClass("ln-selected"),d.blur(),e||null===c.onClick?e=!1:c.onClick(f)}})}function n(){for(var a=[],b=1;b<d.length;b++)0===a.length&&a.push(\'<a class="all" href="#">\'+c.allText+\'</a><a class="_" href="#">0-9</a>\'),a.push(\'<a class="\'+d[b]+\'" href="#">\'+("-"===d[b]?"...":d[b].toUpperCase())+"</a>");return\'<div class="ln-letters">\'+a.join("")+"</div>"+(c.showCounts?\'<div class="ln-letter-count listNavHide">0</div>\':"")}var o,p,q,r,s,t,u=this.id,v=a(this),w={},x=0,y=0,z=!0,A="";a("#"+u+"-nav").length||a(\'<div id="\'+u+\'-nav" class="listNav"/>\').insertBefore(v),o=a("#"+u+"-nav"),b()})},a.fn.listnav.defaults={initLetter:"",includeAll:!0,allText:"All",includeOther:!1,includeNums:!0,flagDisabled:!0,removeDisabled:!1,noMatchText:"No matching entries",showCounts:!0,dontCount:"",cookieName:null,onClick:null,prefixes:[],filterSelector:""}}(jQuery);

// TODO minimize js

var filteredpkg;

function prepareUpload() {
\tvar fn = $(this).val();
\tfn = fn.replace(\'C:\\\\fakepath\\\\\',\'\');
\tif (confirm(\'Upload Package\' + \' ( \' + fn + \') ?\') === false) {
\t\treturn;
\t}

\tvar frm = document.forms["uploadpkg"];
\tfrm.filename.value = fn;\t

\t$(\'form#uploadpkg\')
\t\t.unbind(\'submit\')
\t\t.submit(function (e) 
\t{
\t\tvar formData = new FormData(this);
\t\t$.ajax({
\t\t\turl: \'/ipkg/upload\',
\t\t\ttype: \'POST\',
\t\t\tdata: formData,
\t\t\tmimeType:"multipart/form-data",
\t\t\tcontentType: false,
\t\t\tcache: false,
\t\t\tprocessData:false,
\t\t\tdataType: \'json\',
\t\t\tsuccess: function (data, textStatus, jqXHR) {
\t\t\t\tvar r = data.Result;
\t\t\t\tif (r[0]==true) {
\t\t\t\t\talert("DONE");
\t\t\t\t} else {
\t\t\t\t\talert("Upload File Error: " + r[1]);
\t\t\t\t}
\t\t\t},
\t\t\terror: function (jqXHR, textStatus, errorThrown) {
\t\t\t\talert("Upload File Error: " + errorThrown);
\t\t\t}
\t\t});
\t\te.preventDefault();
\t\ttry {
\t\t\te.unbind();
\t\t} catch(e){}
\t});
\t$(\'form#uploadpkg\').submit();
}
function getPkgFilename(){
\tvar frm = document.forms["form_uploadpkg"];
\tfrm.filename.value = frm.file.value;
}

function FillPackages(pkgs,mode)
{
\tvar _update = $.grep(pkgs, function(v) {
\t\treturn (v.u == \'1\');
\t});
\tvar _installed = $.grep(pkgs, function(v) {
\t\treturn (v.i == \'1\');
\t});

\tif (mode == \'pkgbtn1\')
\t\tfilteredpkg = _update.slice();
\telse if (mode == \'pkgbtn2\') {
\t\tfilteredpkg = _installed.slice();
\t} else
\t\tfilteredpkg = pkgs.slice();

\t$("#packagelist").html(\'\');
\t$("#packagelist-nav").remove();

\tvar row=\'\';
\t$.each( filteredpkg, function( key, val ) {
\t\tvar name = val[\'name\'];
\t\tvar index = -1;
\t\tvar sel = (val[\'i\'] == \'1\') ? "class=\'installed\' ":"";
\t\trow += "<li "+sel+"data-i=\'"+val[\'i\']+"\'>"+name+" (" + val[\'v\'] + ")</li>";
\t});
\t$("#packagelist").html(row);
\t$("#packagelist").listnav({includeAll:false,showCounts:false,initLetter:\'a\'});

\t$(\'#packagelist > li\').click( function () {
\t\task($(this),false);
\t});
}

function ask(obj,man)
{
\tvar pk = $(obj).html();
\tvar i = ($(obj).data(\'i\') == \'1\');
\tif(!man) {
\t\tpk = pk.split(\'(\')[0];
\t\tpk = pk.substring(0,pk.length-1);
\t}
\tif(i) {
\t\tif (confirm(\'Remove Package\' + \' ( \' + pk + \') ?\') === true) {
\t\t\treturn;
\t\t}
\t} else {
\t\tif (confirm(\'Install Package\' + \' ( \' + pk + \') ?\') === true) {
\t\t\treturn;
\t\t}
\t}
}

function Action(action)
{
\t$(\'#resulttext\').val(\'\');
\t$.ajax({
\t\turl: action,
\t\tsuccess: function ( data ) {
\t\t\t$(\'#resulttext\').val(data);
\t\t}
\t});
}

function ShowPackages(mode)
{
\t$("#tblpackages").hide();
\tif (mode == \'pkgbtn4\') {
\t\t$("#pkgmore").show();
\t\t$(\'#tmpfiles\').empty();
\t\t$.ajax({
\t\t\turl: \'/ipkg?command=tmp\',
\t\t\tdataType: \'json\',
\t\t\tsuccess: function (data) {
\t\t\t\tvar files = \'\';
\t\t\t\t$.each( data.ipkfiles, function( key, val ) {
\t\t\t\t\tfiles+=\'<li>\' + val[\'name\'] + \'</li>\'
\t\t\t\t});
\t\t\t\t$(\'#tmpfiles\').html(files);
\t\t\t\t$(\'#tmpfiles > li\').click( function () {
\t\t\t\t\task($(this),true);
\t\t\t\t});
\t\t\t}
\t\t});
\t\treturn;
\t}

\t$("#pkgmore").hide();
\t$("#tblpackages").show();

\tvar pkgcache = GetLSValue(\'pkgcache\',null)
\tif(pkgcache != null) {
\t\tvar pkgs = $.parseJSON(pkgcache);
\t\tFillPackages(pkgs,mode);
\t}
\telse
\t{
\t\t$.ajax({
\t\t\turl: \'/ipkg?command=listall\',
\t\t\tsuccess: function ( data ) {
\t\t\t\tSetLSValue(\'pkgcache\',data)
\t\t\t\tvar js = $.parseJSON(data);
\t\t\t\tFillPackages(js,mode);
\t\t\t}
\t\t});
\t}
}

function load_scontent(url) {
\t$("#scontent").html(\'\');
\t$("#osettings").hide();
\t$("#packages").hide();
\tif(url==\'owsettings\')
\t{
\t\t$("#osettings").show();
\t\t$("#selectheme").change(function() {
\t\t\tChangeTheme($(this).val());
\t\t});
\t\treturn;
\t}
\tif(url==\'packages\')
\t{
\t\t$("#packages").show();
\t\tShowPackages(\'pkgbtn1\');
\t\treturn;
\t}
\t$("#scontent").load(url , function () {
\t\t$("#scontent").find("#content_main").attr("id","content_main1");
\t});
\treturn false;
}
$(function() { 
\t$( "#slist" ).selectable({
\t\tselected: function( event, ui ) {
\t\t\tvar ids = $(\'#slist .ui-selected\').map(function() {
\t\t\t\tif($(this).data(\'id\') !== undefined) {
\t\t\t\t\tload_scontent($(this).data(\'id\'));
\t\t\t\t}
\t\t\t});
\t\t},
\t\tclasses: {
\t\t\t"ui-selected": getActiveCls()
\t\t}
\t});
\tload_scontent(\'owsettings\');
\t
\t$(".spinner input[type=\'radio\']").checkboxradio({ icon: false });
\t$(".spinner fieldset").controlgroup();
\tvar spin = GetLSValue(\'spinner\',\'fa-spinner\');
\t$(\'#\'+spin).attr(\'checked\', true).checkboxradio("refresh");
\t$(".spinner input:radio").change(function() {
\t\tSetLSValue(\'spinner\',$(this).attr(\'id\'));
\t\tSetSpinner();
\t});

\tsetHover(\'#slist li\');
\t$(\'#fsspinner > label\').css(\'padding-left\',\'10px\');
\t$(\'#fsspinner > label\').css(\'padding-right\',\'10px\');
\t$("#themesbtn").addClass(getActiveCls());

\t$("input[name=zapstream]").click(function(evt) {
\t\t$(\'input[name=zapstream]\').attr(\'checked\', evt.currentTarget.checked);
\t\twebapi_execute("/api/zapstream?checked=" + evt.currentTarget.checked);
\t});

\t$("input[name=showchannelpicon]").click(function(evt) {
\t\t$(\'input[name=showchannelpicon]\').attr(\'checked\', evt.currentTarget.checked);
\t\twebapi_execute("/api/showchannelpicon?checked=" + evt.currentTarget.checked);
\t});
\t
\t$(\'#tb2\').buttonset();
\t$(\'#tb3\').buttonset();
\t$(\'.pkgbtn\').click(function () { ShowPackages($(this).attr(\'id\')); });
\t$(\'#selectfile\').click(function () {$("#rfile").trigger(\'click\'); });
\t$(\'#rfile\').change(prepareUpload);
\t$(\'#updatefeed\').click(function () {Action(\'/ipkg?command=update\'); });
\t$(\'#upgrade\').click(function () {Action(\'/ipkg?command=upgrade\'); });

});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_settings= 'respond'

## END CLASS DEFINITION

if not hasattr(settings, '_initCheetahAttributes'):
    templateAPIClass = getattr(settings, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(settings)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=settings()).run()


